const _Http = getApp().globalData.http;
Component({
	lifetimes: {
		ready: function () {
			if (this.data.count == 1) return;
			if (wx.getStorageSync('userauth') != 0) {
				//判断页面 以免一直触发
				const pages = getCurrentPages(),
					prevPage = pages[pages.length - 1];
				if (prevPage.route == 'pages/login/selectSite' || prevPage.route.includes('pages/tabbar/')) this.setData({
					Permission: ['首页', '我的']
				})
			}
		},
	},
	data: {
		active: 'home',
		Permission: ['首页', '我的'], //可看模块
		tabbarList: [{
				icon: 'icon-a-biaoqianlanshouyexuanzhong',
				acicon: 'icon-a-biaoqianlanshouyexuanzhong',
				text: '首页',
				url: '/pages/tabbar/home/index',
				name: 'home'
			},
			{
				icon: 'icon-a-biaoqianlanwode',
				acicon: 'icon-a-biaoqianlanwodexuanzhong',
				text: '我的',
				url: '/pages/tabbar/mine/index',
				name: 'mine'
			}
		],
	},
	methods: {
		onChange(event) {
			let active = event.detail,
				obj = this.data.tabbarList.find(v => v.name == active);
			wx.switchTab({
				url: obj.url
			});
			this.setData({
				active
			});
		},
		init() {
			const page = getCurrentPages().pop();
			let obj = this.data.tabbarList.find(item => item.url === `/${page.route}`);
			this.setData({
				active: obj.name
			});
		},
	},
})